Bug 201906 - [NEW PORT] deskutils/ladon: Utility to process many files in parallel
Summary: [NEW PORT] deskutils/ladon: Utility to process many files in parallel
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-07-26 23:08 UTC by Carlos J Puga Medina
Modified: 2015-08-02 08:50 UTC (History)
1 user (show)

See Also:


Attachments
ladon.shar (13.75 KB, application/x-shar)
2015-07-26 23:08 UTC, Carlos J Puga Medina
no flags Details
ladon.shar (14.68 KB, patch)
2015-07-27 01:22 UTC, Carlos J Puga Medina
no flags Details | Diff
ladon.shar (13.77 KB, patch)
2015-07-27 01:25 UTC, Carlos J Puga Medina
no flags Details | Diff
ladon build log (1.55 KB, text/x-log)
2015-07-27 01:42 UTC, Carlos J Puga Medina
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos J Puga Medina 2015-07-26 23:08:42 UTC
Created attachment 159281 [details]
ladon.shar

A small, simple utility to process many files in parallel. It is meant 
for people comfortable with using a terminal but strives to be as easy
to use as humanly possible.

Ladon is named after the multiheaded serpent dragon from Greek mythology, 
slain by Heracles and thrust into the sky as the constellation Draco. His 
many heads allow you to efficiently work on many files at once.

WWW: https://github.com/danielgtaylor/ladon
Comment 1 Carlos J Puga Medina 2015-07-26 23:10:47 UTC
% portlint -AC
WARN: Makefile: [0]: possible direct use of command "install" found. use ${INSTALL_foobaa} instead.
WARN: Consider to set DEVELOPER=yes in /etc/make.conf
0 fatal errors and 2 warnings found.
Comment 2 Carlos J Puga Medina 2015-07-27 01:22:50 UTC
Created attachment 159288 [details]
ladon.shar
Comment 3 Carlos J Puga Medina 2015-07-27 01:25:31 UTC
Created attachment 159289 [details]
ladon.shar
Comment 4 Carlos J Puga Medina 2015-07-27 01:42:18 UTC
Created attachment 159291 [details]
ladon build log
Comment 5 Carlos J Puga Medina 2015-08-01 20:29:45 UTC
I cannot test it via poudriere because there is a bug [1] related to
getaddrinfo(3) which prevents port builds successfully.

[1] PR178881
Comment 6 Kurt Jaeger freebsd_committer 2015-08-02 08:43:10 UTC
tested on 10.1i, current, 10.1a, builds fine.
Comment 7 commit-hook freebsd_committer 2015-08-02 08:46:47 UTC
A commit references this bug:

Author: pi
Date: Sun Aug  2 08:45:57 UTC 2015
New revision: 393421
URL: https://svnweb.freebsd.org/changeset/ports/393421

Log:
  New port: deskutils/ladon

  Process many files in parallel. It is meant for people comfortable
  with using a terminal but strives to be as easy to use as humanly
  possible.

  Ladon is named after the multiheaded serpent dragon from Greek mythology,
  slain by Heracles and thrust into the sky as the constellation Draco. His
  many heads allow you to efficiently work on many files at once.

  WWW: https://github.com/danielgtaylor/ladon

  PR:		201906
  Submitted by:	Carlos Jacobo Puga Medina <cpm@fbsd.es>

Changes:
  head/deskutils/Makefile
  head/deskutils/ladon/
  head/deskutils/ladon/Makefile
  head/deskutils/ladon/distinfo
  head/deskutils/ladon/pkg-descr
  head/deskutils/ladon/pkg-plist
Comment 8 Kurt Jaeger freebsd_committer 2015-08-02 08:50:55 UTC
Committed, thanks!